summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Tracy Williams2011-01-11 00:44:02 +0100
committer Robby Workman2011-01-11 00:44:02 +0100
commit5c173bbdb1475c49490f3b3ba7ddfefccbc5c0a7 (patch)
tree85a5999580c6303d8828fc56cffaae17fcd2b6f6 /system
parent00704342299b2e2c08601e9dc05d67cdf896007f (diff)
downloadslackbuilds-5c173bbdb1475c49490f3b3ba7ddfefccbc5c0a7.tar.gz
system/wmconfig: Added (window manager menu creator)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/wmconfig/README18
-rw-r--r--system/wmconfig/slack-desc19
-rw-r--r--system/wmconfig/wmconfig.SlackBuild77
-rw-r--r--system/wmconfig/wmconfig.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/system/wmconfig/README b/system/wmconfig/README
new file mode 100644
index 0000000000..2dafd006d6
--- /dev/null
+++ b/system/wmconfig/README
@@ -0,0 +1,18 @@
+wmconfig is a free tool for automatically generating menus for various
+X window managers. It uses a very simple configuration, it's fast and small.
+A special toolkit (Gtk or Qt / KDE) is not required and the menu entries may
+be edited with the text editor of your choice.
+
+wmconfig will read the application template files located in /etc/wmconfig
+and add an entry into the menu if that application is found on your system.
+It will also read the application template files from the .wmconfig directory
+in the user's home directory. Therefore, the user's settings will override
+the system-wide settings. If optionally any extra files are given as an
+argument on the command line, those will be read last and merged with the
+others (possibly overriding the settings in system and user home dir files).
+
+wmconfig creates menus for the following window managers/desktop environments:
+aewm, afterstep, amiwm, blackbox, ctwm, e16, e17, ede, epiwm, equinox,
+fluxbox, flwm, freedesktop, fvwm, fvwm2, fvwm95, gnome2, golem, icewm,
+kahakai, kde1, kde2, kde3, kde4, launcher, lxde, mlvwm, mwm, olwm, openbox,
+pekwm, piewm, pwm, qvwm, sapphire, tvtwm, twm, ude, vtwm, wmaker, wmx, xfce
diff --git a/system/wmconfig/slack-desc b/system/wmconfig/slack-desc
new file mode 100644
index 0000000000..d373659a6c
--- /dev/null
+++ b/system/wmconfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wmconfig: wmconfig (window manager menu creator)
+wmconfig:
+wmconfig: Wmconfig is a free tool for creating menu entries for various X
+wmconfig: managers. It uses a very simple configuration, it's fast and small.
+wmconfig: A special toolkit (Gtk or Qt / KDE) is not required and the menu
+wmconfig: entries may be edited with the text editor of your choice.
+wmconfig:
+wmconfig: Homepage: http://www.arrishq.net/
+wmconfig:
+wmconfig:
+wmconfig:
diff --git a/system/wmconfig/wmconfig.SlackBuild b/system/wmconfig/wmconfig.SlackBuild
new file mode 100644
index 0000000000..4aecc7430d
--- /dev/null
+++ b/system/wmconfig/wmconfig.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for wmconfig
+# Written by Tracy Williams
+# contact: t_s_williams[at]yahoo[dot]com
+
+PRGNAM=wmconfig
+VERSION=1.3.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Set which terminal to use for programs that require it (Mutt, Lynx, etc)
+TERMINAL=${TERMINAL:-xterm}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --with-terminal=$TERMINAL \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README TODO misc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wmconfig/wmconfig.info b/system/wmconfig/wmconfig.info
new file mode 100644
index 0000000000..58341c6524
--- /dev/null
+++ b/system/wmconfig/wmconfig.info
@@ -0,0 +1,10 @@
+PRGNAM="wmconfig"
+VERSION="1.3.4"
+HOMEPAGE="http://www.arrishq.net/"
+DOWNLOAD="http://www.arrishq.net/files/wmconfig-1.3.4.tar.bz2"
+MD5SUM="b9e3fd253ec5bec412222b6f67cc62f1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Tracy Williams"
+EMAIL="t_s_williams[at]yahoo[dot]com"
+APPROVED="rworkman"